Debian Bug report logs - #648127
qpxtool: FTBFS with libpng 1.5

version graph

Package: src:qpxtool; Maintainer for src:qpxtool is Boris Pek <tehnick@debian.org>;

Reported by: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>

Date: Wed, 9 Nov 2011 03:24:26 UTC

Owned by: Boris Pek <Tehnick-8@yandex.ru>

Severity: wishlist

Tags: patch

Found in version qpxtool/0.7.1.002-5

Fixed in version qpxtool/0.7.1.002-6

Done: Boris Pek <tehnick-8@mail.ru>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#648127; Package src:qpxtool. (Wed, 09 Nov 2011 03:24:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>. (Wed, 09 Nov 2011 03:24:28 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: qpxtool: FTBFS with libpng 1.5
Date: Wed, 9 Nov 2011 12:20:49 +0900
[Message part 1 (text/plain, inline)]
Source: qpxtool
Version: 0.7.1.002-5
Severity: wishlist
User: libpng@packages.debian.org
Usertags: libpng15-transition

Hi,

I uploaded libpng 1.5 to experimental.
libpng maintainers plan to transition from libpng 1.2 to 1.5.
I am checking build it the package depend to libpng.

I noticed your package FTBFS by libpng 1.5. I attached build log.
Could you check your package ?

Best regards,
  Nobuhiro
-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6
[qpxtool_0.7.1.002-5_amd64.build.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#648127; Package src:qpxtool. (Mon, 12 Mar 2012 05:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Mon, 12 Mar 2012 05:39:07 GMT) Full text and rfc822 format available.

Message #10 received at 648127@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: 648127@bugs.debian.org
Subject: Re: qpxtool: FTBFS with libpng 1.5
Date: Mon, 12 Mar 2012 14:33:40 +0900
[Message part 1 (text/plain, inline)]
tags 648127 patch
thanks

Hi,

I created two patches which revise this bug.
Could you check these patches?

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6
[libpng15.patch (application/x-empty, attachment)]
[Makefile.patch (application/x-empty, attachment)]

Added tag(s) patch. Request was from Nobuhiro Iwamatsu <iwamatsu@nigauri.org> to control@bugs.debian.org. (Mon, 12 Mar 2012 05:39:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#648127; Package src:qpxtool. (Mon, 25 Jun 2012 23:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Boris Pek <Tehnick-8@yandex.ru>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Mon, 25 Jun 2012 23:06:03 GMT) Full text and rfc822 format available.

Message #17 received at 648127@bugs.debian.org (full text, mbox):

From: Boris Pek <Tehnick-8@yandex.ru>
To: control@bugs.debian.org,662481@bugs.debian.org,648127@bugs.debian.org
Subject: Re: qpxtool: FTBFS with libpng 1.5
Date: Tue, 26 Jun 2012 02:03:54 +0300
owner 662481 !
owner 648127 !
thanks

I am working on this. Updated package will be soon.




Owner recorded as Boris Pek <Tehnick-8@yandex.ru>. Request was from Boris Pek <Tehnick-8@yandex.ru> to control@bugs.debian.org. (Mon, 25 Jun 2012 23:06:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#648127; Package src:qpxtool. (Tue, 26 Jun 2012 00:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Boris Pek <Tehnick-8@yandex.ru>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Tue, 26 Jun 2012 00:51:05 GMT) Full text and rfc822 format available.

Message #24 received at 648127@bugs.debian.org (full text, mbox):

From: Boris Pek <Tehnick-8@yandex.ru>
To: 662481@bugs.debian.org,648127@bugs.debian.org
Subject: Re: qpxtool: FTBFS with libpng 1.5
Date: Tue, 26 Jun 2012 03:46:33 +0300
RFS: http://bugs.debian.org/679049




Reply sent to Boris Pek <tehnick-8@mail.ru>:
You have taken responsibility. (Mon, 15 Apr 2013 01:36:12 GMT) Full text and rfc822 format available.

Notification sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug acknowledged by developer. (Mon, 15 Apr 2013 01:36:12 GMT) Full text and rfc822 format available.

Message #29 received at 648127-close@bugs.debian.org (full text, mbox):

From: Boris Pek <tehnick-8@mail.ru>
To: 648127-close@bugs.debian.org
Subject: Bug#648127: fixed in qpxtool 0.7.1.002-6
Date: Mon, 15 Apr 2013 01:32:37 +0000
Source: qpxtool
Source-Version: 0.7.1.002-6

We believe that the bug you reported is fixed in the latest version of
qpxtool, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 648127@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Boris Pek <tehnick-8@mail.ru> (supplier of updated qpxtool package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 26 Jun 2012 03:11:10 +0300
Source: qpxtool
Binary: qpxtool pxfw libqpx0 libqpx-dev
Architecture: source amd64
Version: 0.7.1.002-6
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Boris Pek <tehnick-8@mail.ru>
Description: 
 libqpx-dev - CD/DVD quality checker (development files)
 libqpx0    - CD/DVD quality checker (shared libraries)
 pxfw       - Plextor firmware updater
 qpxtool    - CD/DVD quality checker
Closes: 634714 648127 662481
Changes: 
 qpxtool (0.7.1.002-6) unstable; urgency=low
 .
   * QA upload.
   * Bumped Standards-Version to 3.9.3 (was 3.9.2).
   * Bumped debhelper version to 9 (was 7.0.50~); updated debian/compat.
   * Added file debian/patches/05-add-hardening-flags-in-compiler-options.patch.
   * Updated debian/rules: added hardening flags in compiler options.
   * Changed build dependency from libpng12-dev to libpng-dev.
     Added file debian/patches/04-fix-build-with-libpng15.patch.
     Added small hack in debian/rules (see LIBPNG_VER variable).
     Build with libpng version 1.5.10 was tested successfully.
     (Closes: #662481, #648127)
   * Used [kfreebsd-any] instead of hardcoded list of kFreeBSD architectures
     [kfreebsd-i386 kfreebsd-amd64] in build dependency. (Closes: #634714)
   * File debian/copyright was updated in according to Copyright format 1.0.
   * Fixed such lintian warnings and notes:
     - out-of-date-copyright-format-uri
     - hardening-no-relro and hardening-no-fortify-functions
Checksums-Sha1: 
 63d8f42dce816b672aa621a5fdb00a8646de55bd 2037 qpxtool_0.7.1.002-6.dsc
 a19bfd2b24d4f6c581178b902e5c55a73be53ad1 539605 qpxtool_0.7.1.002.orig.tar.gz
 afa6d38dc6dd4dd9a930300df5a68074a31ad02b 11932 qpxtool_0.7.1.002-6.debian.tar.gz
 ff500c56dd0deccf8c7088d37cda9e0be17657cf 677620 qpxtool_0.7.1.002-6_amd64.deb
 6aa67b1fc909b903fe92b0ddfe793081ed5015f5 19202 pxfw_0.7.1.002-6_amd64.deb
 5bf21cf335d5e1e81749199affeccbbd54ccfb23 109796 libqpx0_0.7.1.002-6_amd64.deb
 4e068dcf9cb4887c688e59deeb681f7ad80031ce 25148 libqpx-dev_0.7.1.002-6_amd64.deb
Checksums-Sha256: 
 1b28363084630e5efd7e9f1d0e51faa268c61e2117460800c597589477c95cb0 2037 qpxtool_0.7.1.002-6.dsc
 4a228b2540f0ca99612a596f402b8a7848d38a4a846d181753881a58141ce63f 539605 qpxtool_0.7.1.002.orig.tar.gz
 8b46dc2188ba6fc47602ea930736f07bceac7eec44767e0bd785f3919be01c4a 11932 qpxtool_0.7.1.002-6.debian.tar.gz
 c5af95b184d94e354ab881574dd0e3cf30e4bab11cc75f53555e0420f6ac3889 677620 qpxtool_0.7.1.002-6_amd64.deb
 e2c67db2b2e608589a19efcc13246192134451772d1ad61eab5a5c22f2eec243 19202 pxfw_0.7.1.002-6_amd64.deb
 83c013f9068caf4ece774bbff88e5f219f0e5f754150d1e2f5f9c7b10ce23d98 109796 libqpx0_0.7.1.002-6_amd64.deb
 805a5d56beeff4c1a2bb7446794b9a7b019b64ae1577e44804cb7dc181389c30 25148 libqpx-dev_0.7.1.002-6_amd64.deb
Files: 
 24ddb5b887addef174a85b3bd5b426b9 2037 otherosfs optional qpxtool_0.7.1.002-6.dsc
 1115946a056205b01c32ce42363fcff8 539605 otherosfs optional qpxtool_0.7.1.002.orig.tar.gz
 7d11a70eaeb05424e1fc969c832e58ae 11932 otherosfs optional qpxtool_0.7.1.002-6.debian.tar.gz
 6a9bba45fafea492a7061792da267244 677620 otherosfs optional qpxtool_0.7.1.002-6_amd64.deb
 4dda05395c921346d5997e0449fd93fd 19202 otherosfs optional pxfw_0.7.1.002-6_amd64.deb
 c21b9740e62312ecd93a8edfb9a810f6 109796 otherosfs optional libqpx0_0.7.1.002-6_amd64.deb
 f5504d80f1d20a7c2e32884dc9ce8ebf 25148 libdevel optional libqpx-dev_0.7.1.002-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRa1XgAAoJEHQmOzf1tfkT920P/1RY5Z9Y42yUAlI7mlZnfLiK
SCSqlJRZ2hD+qeHC3McpLkwZxYd7bW3+3Sc2m2Il1zNu22KXR26AWfp48gWmX9sV
wjbeXOorbFEE9zZH62d0rbLU7dbrr5+BYhrKrjGgUOZwjgsuk83C9C1/tckcZGjs
TI6mZHxmaiJ1uITYxBAUw/e7dfqWzskBCo6J0BwCx5F3pnQ9PsFA9keNPIt1v6lh
vOL1+mCXthDUch7PA577PDb/da2eYSjlP5oUUWhgx0V3AgnFiFjccbZOeKkkiTEC
RMy93Cqg2rLOBZYZOU9qcEoalp5NpMXX5ur3F6CPX3Vg4HHSTyN7w9AfDTud5CAj
qsbvZtesxTGSlgQsS5mJTim/je/LbQLBrndbHENC9QqePfw6a19EDsogeo5px/Jj
7wfi7Vvj0iINCfNn4cjRtmubMvJSd/fJ6DscRtWJFJLQFgq+clqD0c1CENg1u3XX
g7EnHQCSu4kCX8y4drIAt/+3UCQfy0AMXiuLqewHpILdIaQ+l89S5nUHmukJ+wP1
2n0+g2h6Vgfxo7J+3Sj18ib58Zk6gD/EwIepkiWkE3ICgkEKbX8nZsrXzFyb8Uwk
Uazo/SsztOQ0GN490NSgvTmMkGzcewjGjNuwbK8cANPLnFTBi0pbWDA1nMWJMjza
Hau4+pv1TH8AvgWSmzIt
=IfFR
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Apr 2014 07:27:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:19:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.